dots.v2.nfs.snapshots.get()

Generated on 13 Nov 2026 from DoTs version v1.24.0

Usage

client.v2.nfs.snapshots.get(requestConfiguration?: RequestConfiguration<SnapshotsRequestBuilderGetQueryParameters>): Promise<undefined | Nfs_snapshot_list_response>

Description

To list all NFS snapshots, send a GET request to /v2/nfs/snapshots?region=${region}&share_id={share_id}.

A successful request will return all NFS snapshots belonging to the authenticated user in the specified region.

Optionally, you can filter snapshots by a specific NFS share by including the share_id query parameter.

Parameters

region string optional

Example: atl1

The DigitalOcean region slug (e.g., nyc2, atl1) where the NFS share resides.

shareId string optional

Example: 0a1b2c3d-4e5f-6a7b-8c9d-0e1f2a3b4c5d

The unique ID of an NFS share. If provided, only snapshots of this specific share will be returned.

Request Sample

Show Request Sample
import { FetchRequestAdapter } from "@microsoft/kiota-http-fetchlibrary";
import {
    createDigitalOceanClient,
    DigitalOceanApiKeyAuthenticationProvider,
} from "@digitalocean/dots";

const authProvider = new DigitalOceanApiKeyAuthenticationProvider(process.env.DIGITALOCEAN_TOKEN!);
const adapter = new FetchRequestAdapter(authProvider);
const client = createDigitalOceanClient(adapter);

const response = await client.v2.nfs.snapshots.get();

Response Example

Show Response Example
{
  "snapshots": [
    {
      "id": "0a1b2c3d-4e5f-6a7b-8c9d-0e1f2a3b4c5d",
      "name": "daily-backup",
      "size_gib": 1024,
      "region": "atl1",
      "status": "CREATING",
      "created_at": "2023-11-14T16:29:21Z",
      "share_id": "1a2b3c4d-5e6f-7a8b-9c0d-1e2f3a4b5c6d"
    }
  ]
}

More Information

See /v2/nfs/snapshots in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.